Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class UserPropertyDefnHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.UserPropertyDefnHandle

    public class UserPropertyDefnHandle

extends ElementDetailHandle

Represents a top-level user-defined property of an element.

See Also:
  `UserPropertyDefn`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`UserPropertyDefnHandle(DesignElementHandle element, java.lang.String propName)` Constructs a handle for the user-defined property with the given element handle and the name of the user-defined property.
`UserPropertyDefnHandle(DesignElementHandle element, UserPropertyDefn prop)` Constructs a handle for the user-defined property with the given element handle and the user-defined property.

Method Summary
`UserPropertyDefn` | `getCopy()` Returns the copy of the property definition for this user-defined property.
`UserPropertyDefn` | `getDefn()` Gets the user-defined property of this handle.
`java.lang.String` | `getDisplayName()` Returns the display name of the user-defined property.
`java.lang.String` | `getName()` Returns the name of the user-defined property.
`int` | `getType()` Returns the type of the user-defined property.
`void` | `setUserPropertyDefn(UserPropertyDefn prop)` Sets the definition for the user-defined property.

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPropertyDefnHandle

    public UserPropertyDefnHandle(DesignElementHandle element,
                                  UserPropertyDefn prop)

  Constructs a handle for the user-defined property with the given element handle and the user-defined property.

  Parameters:
    `element` - a handle to a report element
    `prop` - The definition of the user-defined property.

### UserPropertyDefnHandle

    public UserPropertyDefnHandle(DesignElementHandle element,
                                  java.lang.String propName)

  Constructs a handle for the user-defined property with the given element handle and the name of the user-defined property.

  Parameters:
    `element` - a handle to a report element
    `propName` - The name of the user-defined property.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the user-defined property.

  Returns:
    the name of the user-defined property

### getType

    public int getType()

  Returns the type of the user-defined property.

  Returns:
    the type of the user-defined property
  See Also:
    `PropertyType`

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the user-defined property.

  Returns:
    the display name of the user-defined property

### setUserPropertyDefn

    public void setUserPropertyDefn(UserPropertyDefn prop)
                             throws UserPropertyException,
                                    PropertyValueException

  Sets the definition for the user-defined property.

  Parameters:
    `prop` - the new definition of the user-defined property
  Throws:
    `UserPropertyException` - if the property is not found, is not a user property, or is not defined on this element, or the user property definition is inconsistent.
    `PropertyValueException` - if the type changes, the value becomes invalid.

### getCopy

    public UserPropertyDefn getCopy()

  Returns the copy of the property definition for this user-defined property.

  Returns:
    the copy of the property definition

### getDefn

    public UserPropertyDefn getDefn()

  Gets the user-defined property of this handle.

  Returns:
    the user-defined property of this handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.